JMessage SDK have not init yet

ionic
android
jmessage
标签: #<Tag:0x00007fb8309f86f8> #<Tag:0x00007fb8309f84a0> #<Tag:0x00007fb8309f8158>

(Log) #1


#2

阅读排查


(Log) #3

我使用的是jmessage-phonegap-plugin@3.3.0的版本,已经安装了cordova-plugin-jcore@1.1.12版本了


(Log) #4

这个报错要怎么处理


(Josh Lipan) #5

使用jmessage-phonegap-plugin@3.2.0版本试下


(Log) #6

jmessage-phonegap-plugin@3.2.0 还是同样的错误,
使用3.4.0以上版本并且在cordova-android@7.0.0找那个则不会有这个错误,
但是3.4.0以上又不支持cordova-android@6.4.0版本


(Josh Lipan) #7

你看下是不是在使用旧版本JMessage插件的时候jcore自动升级到1.2.0以上的版本了,这个错误原因一般是文件不匹配导致的


(Log) #8

对,jcore自动升级到1.2.0以上版本


(Log) #9

但是后面我又使用命令npm i cordova-plugin-jcore@1.1.12 降级到了1.1.12版本


(Josh Lipan) #10

jcore1.1.12 搭配 JMessage 3.2.0 还是不行吗?


(Log) #11

不行
还是同样的错误


(Josh Lipan) #12

降级后原来插件导入的文件有没有完全删除,检查下项目结构


(Log) #13

哪一些文件,怎样的项目结构,有图片指导下吗


(Josh Lipan) #14


(Log) #15

这是哪一个文件夹的文件,我没找到这些配置


(Josh Lipan) #16

你直接尝试集成最新的插件吧,然后按照下面的规则修改你的项目: